import CommonTemplate from "./common-template.mjs"
import { STRING } from "./field-types.mjs"

const fields = foundry.data.fields

export class CommonAppreciable extends CommonTemplate {
  fields() {
    return {
      appreciation: new fields.SchemaField({
        moral: new fields.StringField({ initial: "", ...STRING }),
        bonmoment: new fields.StringField({ initial: "", ...STRING }),
        carac: new fields.StringField({ initial: "", ...STRING }),
        competence: new fields.StringField({ initial: "", ...STRING }),
        jetComp: new fields.BooleanField({ initial: false }),
        jetQualite: new fields.BooleanField({ initial: false }),
        compMinimum: new fields.BooleanField({ initial: true }),
      })
    }
  }

  handlebars() {
    return [
      "systems/foundryvtt-reve-de-dragon/templates/sheets/item/common/template-appreciable.hbs",
    ]
  }
  actions() {
    return {}
  }

  async prepareContext(item) {
    return {}
  }
}
